Open CASCADE Technology: Hermit Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
Hermit Class Reference

This is used to reparameterize Rational BSpline Curves so that we can concatenate them later to build C1 Curves It builds and 1D-reparameterizing function starting from an Hermite interpolation and adding knots and modifying poles of the 1D BSpline obtained that way. The goal is to build a(u) so that if we consider a BSpline curve N(u) f(u) = --— D(u) More...

`#include <Hermit.hxx>`

## Static Public Member Functions
static Handle< Geom2d_BSplineCurve > | Solution (const Handle< Geom_BSplineCurve > &BS, const Standard_Real TolPoles=0.000001, const Standard_Real TolKnots=0.000001)
| returns the correct spline a(u) which will be multiplicated with BS later. More...
static Handle< Geom2d_BSplineCurve > | Solution (const Handle< Geom2d_BSplineCurve > &BS, const Standard_Real TolPoles=0.000001, const Standard_Real TolKnots=0.000001)
| returns the correct spline a(u) which will be multiplicated with BS later. More...
static void | Solutionbis (const Handle< Geom_BSplineCurve > &BS, Standard_Real &Knotmin, Standard_Real &Knotmax, const Standard_Real TolPoles=0.000001, const Standard_Real TolKnots=0.000001)
| returns the knots to insert to a(u) to stay with a constant sign and in the tolerances. More...

## Detailed Description

This is used to reparameterize Rational BSpline Curves so that we can concatenate them later to build C1 Curves It builds and 1D-reparameterizing function starting from an Hermite interpolation and adding knots and modifying poles of the 1D BSpline obtained that way. The goal is to build a(u) so that if we consider a BSpline curve N(u) f(u) = --— D(u)

the function a(u)D(u) has value 1 at the umin and umax and has 0.0e0 derivative value a umin and umax. The details of the computation occuring in this package can be found by reading : " Etude sur la concatenation de NURBS en vue du balayage de surfaces" PFE n S85 Ensam Lille

## Member Function Documentation

static Handle< Geom2d_BSplineCurve > Hermit::Solution | ( | const Handle< Geom_BSplineCurve > & | BS,
|  | const Standard_Real | TolPoles = `0.000001`,
|  | const Standard_Real | TolKnots = `0.000001`
| ) |  |
| static

returns the correct spline a(u) which will be multiplicated with BS later.

static Handle< Geom2d_BSplineCurve > Hermit::Solution | ( | const Handle< Geom2d_BSplineCurve > & | BS,
|  | const Standard_Real | TolPoles = `0.000001`,
|  | const Standard_Real | TolKnots = `0.000001`
| ) |  |
| static

returns the correct spline a(u) which will be multiplicated with BS later.

static void Hermit::Solutionbis | ( | const Handle< Geom_BSplineCurve > & | BS,
|  | Standard_Real & | Knotmin,
|  | Standard_Real & | Knotmax,
|  | const Standard_Real | TolPoles = `0.000001`,
|  | const Standard_Real | TolKnots = `0.000001`
| ) |  |
| static

returns the knots to insert to a(u) to stay with a constant sign and in the tolerances.

The documentation for this class was generated from the following file:

- Hermit.hxx